summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2021-10-02 12:28:00 +0200
committerUlrich Müller <ulm@gentoo.org>2021-10-04 08:40:30 +0200
commit913e4234fa43ae7e55e7b5f8bc16604df2c9417b (patch)
tree193bc2ce7bc9f28a5e7db1d0b627ba3ab6f2ef5b /eclass
parentcvs.eclass: Support EAPI 8, drop EAPI 6 and older (diff)
downloadgentoo-913e4234fa43ae7e55e7b5f8bc16604df2c9417b.tar.gz
gentoo-913e4234fa43ae7e55e7b5f8bc16604df2c9417b.tar.bz2
gentoo-913e4234fa43ae7e55e7b5f8bc16604df2c9417b.zip
cvs.eclass: Don't rely on sandbox internals
Signed-off-by: Ulrich Müller <ulm@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/cvs.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/cvs.eclass b/eclass/cvs.eclass
index 2868cb31f317..34c32a4a4190 100644
--- a/eclass/cvs.eclass
+++ b/eclass/cvs.eclass
@@ -257,10 +257,10 @@ cvs_fetch() {
# just remove the last path element in the string)
debug-print "${FUNCNAME}: checkout mode. creating cvs directory"
- addwrite /foobar
- addwrite /
- mkdir -p "/${ECVS_TOP_DIR}"
- export SANDBOX_WRITE="${SANDBOX_WRITE//:\/foobar:\/}"
+ (
+ addwrite /
+ mkdir -p "${ECVS_TOP_DIR}" || die "mkdir ${ECVS_TOP_DIR} failed"
+ )
fi
# In case ECVS_TOP_DIR is a symlink to a dir, get the real path,